FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 04-09-2008, 04:49 PM
Frank Charles Gallacher
 
Default Problem wth Java Runtime Environment Plugin for Iceweasel/Firefox...

Greetings,

In attempt to wean myself off Microsoft Word, I am trying to run Bigpond
Office, which requires a JRE plugin installed for Iceweasel/2.0.0.13,
I am running "etch" kernel 2.6.18-6-686,
with gcc version 4.1.2 20061115 (prerelease) (Debian 4.1.1-21)

Reading the README that came with Iceweasel recommends:

(snip)
using Java. (You should use plugin which compiled with gcc-3.2 or newer)
----------

You can install one of the following packages:
- gcjwebplugin,
- java-gcj-compat-plugin,
- sun-java5-plugin.

Alternatively, you can grab a binary Java distribution from
http://java.sun.com/, install the java-package package and do a make-jpkg
on the file.

The Install log follows:

Script started on Thu 10 Apr 2008 01:41:02 EST
root@Ni:/home/franx# aptitude install java-gcj-compat-plugin
Reading package lists... Done
Building dependency tree... Done
Reading extended state information
Initializing package states... Done
Reading task descriptions... Done
Building tag database... Done
The following NEW packages will be automatically installed:
fastjar gappletviewer-4.1 java-common java-gcj-compat libgcj7-awt
libgcj7-jar
The following NEW packages will be installed:
fastjar gappletviewer-4.1 java-common java-gcj-compat
java-gcj-compat-plugin libgcj7-awt libgcj7-jar
0 packages upgraded, 7 newly installed, 0 to remove and 0 not upgraded.
Need to get 8229kB of archives. After unpacking 10.0MB will be used.
Do you want to continue? [Y/n/?]
Writing extended state information... Done
Get:1 http://ftp.au.debian.org etch/main fastjar 1:4.1.1-21 [146kB]
Get:2 http://ftp.au.debian.org etch/main libgcj7-awt 4.1.1-20 [80.2kB]
Get:3 http://ftp.au.debian.org etch/main gappletviewer-4.1 4.1.1-20 [13.9kB]
Get:4 http://ftp.au.debian.org etch/main java-common 0.25 [75.5kB]
Get:5 http://ftp.au.debian.org etch/main libgcj7-jar 4.1.1-20 [7900kB]
Get:6 http://ftp.au.debian.org etch/main java-gcj-compat 1.0.65-10 [12.1kB]
Get:7 http://ftp.au.debian.org etch/main java-gcj-compat-plugin 1.0.65-10 [1426B]
Fetched 8229kB in 7s (1075kB/s)
Selecting previously deselected package fastjar.
(Reading database ... 80601 files and directories currently installed.)
Unpacking fastjar (from .../fastjar_1%3a4.1.1-21_i386.deb) ...
Selecting previously deselected package libgcj7-awt.
Unpacking libgcj7-awt (from .../libgcj7-awt_4.1.1-20_i386.deb) ...
Selecting previously deselected package gappletviewer-4.1.
Unpacking gappletviewer-4.1 (from .../gappletviewer-4.1_4.1.1-20_i386.deb) ...
Selecting previously deselected package java-common.
Unpacking java-common (from .../java-common_0.25_all.deb) ...
Selecting previously deselected package libgcj7-jar.
Unpacking libgcj7-jar (from .../libgcj7-jar_4.1.1-20_all.deb) ...
Selecting previously deselected package java-gcj-compat.
Unpacking java-gcj-compat (from .../java-gcj-compat_1.0.65-10_i386.deb) ...
Selecting previously deselected package java-gcj-compat-plugin.
Unpacking java-gcj-compat-plugin (from .../java-gcj-compat-plugin_1.0.65-10_i386.deb) ...
Setting up fastjar (4.1.1-21) ...

Setting up libgcj7-awt (4.1.1-20) ...
Setting up gappletviewer-4.1 (4.1.1-20) ...
Setting up java-common (0.25) ...

Setting up libgcj7-jar (4.1.1-20) ...
Setting up java-gcj-compat (1.0.65-10) ...

Setting up java-gcj-compat-plugin (1.0.65-10) ...

root@Ni:/home/franx# exit

Script done on Thu 10 Apr 2008 01:46:42 EST

When I try to run the Java Applet (Bigpond Office Word Editor), I get the message:

Loading Error:com.tf.applet.loader.a.m
For more information. please visitFAQ pages

Using the Java Tester it recommends upgrading to Java 6 update 5;
I have downloaded a self-extracting file called "jre-6u5-linux-i586.bin"
from http://java.com/en/download/linux_manual.jsp

I need to work out how to install this manually, as it would appear that
the aptitude package is out of date. The Install Instructions have a
section for configuring JRE for Firefox, involving frigging around with
symlinks, etc, etc...

Please can anyone help me with:

1. How do I deinstall the plugin???
(is running "aptitude remove java-gcj-compat-plugin" the recommended
course of action???)

2. Are there any gotchas with the manual install of JRE 6???

TIA, fcG.
--
Frank Charles Gallacher <franxg@gmail.com>


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 04-09-2008, 05:25 PM
"Mumia W.."
 
Default Problem wth Java Runtime Environment Plugin for Iceweasel/Firefox...

On 04/09/2008 11:49 AM, Frank Charles Gallacher wrote:

Greetings,
[...]


Hello.


I need to work out how to install this manually, as it would appear that
the aptitude package is out of date. The Install Instructions have a
section for configuring JRE for Firefox, involving frigging around with
symlinks, etc, etc...

Please can anyone help me with:

1. How do I deinstall the plugin???
(is running "aptitude remove java-gcj-compat-plugin" the recommended
course of action???)



Yes.


2. Are there any gotchas with the manual install of JRE 6???

TIA, fcG.


I had to create a few symlinks for java to work. For the plugin, you
want to create a symlink in ~/.mozilla/plugins/ to one of the plugin
binaries in the Java plugins directory. For example, if you installed
JRE to /usr/local/share/jre1.6:


cd ~/.mozilla/plugins
ln -s /usr/local/share/jre1.6/plugin/i386/ns7/libjavaplugin_oji.so .

Don't necessarily follow these instructions exactly. There are two java
plugins in the Sun java package, but only one will be appropriate for
your system. Examine /usr/local/share/jre1.6/plugin.


Symlinks in /usr/local/bin for java and javaws might also benefit you
when using other programs. Good luck.




--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 

Thread Tools




All times are GMT. The time now is 01:35 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org